Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001031Core InformModel worldpublic2012-10-16 17:122014-05-07 07:33
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0001031: Exiting off stage items gives a programming error.
DescriptionWhen the player is on an off stage supporter, exiting or getting off fails with a programming error.
Minimal Source Text To Reproduce

Carry out waiting (this is the standard carry out waiting rule): now the player is on the table.

Carry out touching the table (this is the standard carry out touching rule): remove the noun from play.

The Testing Room is A Room. The table is a lit supporter in the testing room.

Test one with "touch table / wait / get off table / exit".

Test two with "wait / touch table / get off table / exit".
Additional InformationThe same thing happens with open containers. However, the player should be allowed to be in an off stage container when it is closed, but not when it is open. The "Transit System by Emily Short" Extension uses this capability.
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
zarf (developer)
2012-10-17 11:57

Is it documented that the player can be in a closed (opaque) offstage container?

The whole notion of putting the player outside a room-context needs to both documented and tested, as we have at least one other bug about it. No opinion on whether it should be declared legal or illegal, but if it's illegal, it needs more explicit run-time errors.
graham (administrator)
2014-01-25 04:20

The I7 world model requires the player to be in a room, perhaps indirectly, at all times. I've added a new run-time problem message to catch this, and also recover gracefully. This does indeed break Transit System (v5), but we've prepared a new version of it (v6) to accompany the new build of Inform.

- Issue History
Date Modified Username Field Change
2012-10-16 17:12 climbingstars New Issue
2012-10-17 11:57 zarf Note Added: 0001904
2013-03-30 03:47 jmcgrew Effect (serious/mild) Game compiles but misbehaves => (cosmetic) Error message is badly worded
2013-03-30 03:47 jmcgrew Severity mild => cosmetic
2013-03-30 03:47 jmcgrew Status new => confirmed
2014-01-25 04:20 graham Note Added: 0002352
2014-01-25 04:20 graham Status confirmed => resolved
2014-01-25 04:20 graham Resolution open => fixed
2014-01-25 04:20 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker